MGASA-2024-0009 - Updated x11-server and tigervnc packages fix security vulnerabilities

Publication date: 14 Jan 2024
URL: https://advisories.mageia.org/MGASA-2024-0009.html
Type: security
Affected Mageia releases: 9
CVE: CVE-2023-6377,
     CVE-2023-6478

The updated packages fix security vulnerabilities:
A flaw was found in xorg-server. Querying or changing XKB button actions
such as moving from a touchpad to a mouse can result in out-of-bounds
memory reads and writes. This may allow local privilege escalation or
possible remote code execution in cases where X11 forwarding is
involved. (CVE-2023-6377)
A flaw was found in xorg-server. A specially crafted request to
RRChangeProviderProperty or RRChangeOutputProperty can trigger an
integer overflow which may lead to a disclosure of sensitive
information. (CVE-2023-6478)

References:
- https://bugs.mageia.org/show_bug.cgi?id=32625
- https://www.openwall.com/lists/oss-security/2023/12/13/1
- https://ubuntu.com/security/notices/USN-6555-1
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2023-6377
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2023-6478

SRPMS:
- 9/core/x11-server-21.1.8-7.2.mga9
- 9/core/x11-server-xwayland-22.1.9-1.2.mga9
- 9/core/tigervnc-1.13.1-2.2.mga9

Mageia 2024-0009: x11-server and tigervnc security update

The updated packages fix security vulnerabilities: A flaw was found in xorg-server

Summary

The updated packages fix security vulnerabilities: A flaw was found in xorg-server. Querying or changing XKB button actions such as moving from a touchpad to a mouse can result in out-of-bounds memory reads and writes. This may allow local privilege escalation or possible remote code execution in cases where X11 forwarding is involved. (CVE-2023-6377) A flaw was found in xorg-server. A specially crafted request to RRChangeProviderProperty or RRChangeOutputProperty can trigger an integer overflow which may lead to a disclosure of sensitive information. (CVE-2023-6478)

References

- https://bugs.mageia.org/show_bug.cgi?id=32625

- https://www.openwall.com/lists/oss-security/2023/12/13/1

- https://ubuntu.com/security/notices/USN-6555-1

- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2023-6377

- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2023-6478

Resolution

MGASA-2024-0009 - Updated x11-server and tigervnc packages fix security vulnerabilities

SRPMS

- 9/core/x11-server-21.1.8-7.2.mga9

- 9/core/x11-server-xwayland-22.1.9-1.2.mga9

- 9/core/tigervnc-1.13.1-2.2.mga9

Severity
Publication date: 14 Jan 2024
URL: https://advisories.mageia.org/MGASA-2024-0009.html
Type: security
CVE: CVE-2023-6377, CVE-2023-6478

Related News

News

Powered By

Footer Logo

Linux Security - Your source for Top Linux News, Advisories, HowTo's and Feature Release.

Powered By

Footer Logo